Bug 1565246 - Repo Discovery doesn't work for some repos *http://yum.puppetlabs.com for example*
Summary: Repo Discovery doesn't work for some repos *http://yum.puppetlabs.com for exa...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.3.0
Hardware: All
OS: All
unspecified
high
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 17:50 UTC by Waldirio M Pinheiro
Modified: 2019-12-03 12:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 12:54:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Waldirio M Pinheiro 2018-04-09 17:50:26 UTC
Description of problem:
It's normal customer define one url and expect the feature on Satellite *Repo Discovery* will identify all repos available on the remote structure. For this repo this is not not working as expected and the worst, without any issue/traceback when Satellite is on debug mode.

Version-Release number of selected component (if applicable):
6.2.14 and 6.3.x

How reproducible:
100%

Steps to Reproduce:
1. webUI - Content Product - Repo Discovery
2. In the text field with description *URL to discovery* just add http://yum.puppetlabs.com and then click on Discover button

Actual results:
Search for ~5 seconds and stop without any result

Expected results:
Should list the complete remote repos available on that url

Additional info:

Comment 1 Waldirio M Pinheiro 2018-04-09 17:53:38 UTC
Hello all

Below the complete steps about the issue


// Repo Discovery - Not working as expected
// URL == http://yum.puppetlabs.com
---
==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:20:41 -0400] "POST /katello/api/v2/organizations/1/repo_discover HTTP/1.1" 202 405 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"
10.10.125.43 - - [09/Apr/2018:13:20:42 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 321 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:20:42 3cedc6aa [app] [I] Started POST "/katello/api/v2/organizations/1/repo_discover" for 10.10.125.43 at 2018-04-09 13:20:42 -0400
2018-04-09 13:20:42 3cedc6aa [app] [I] Processing by Katello::Api::V2::OrganizationsController#repo_discover as JSON
2018-04-09 13:20:42 3cedc6aa [app] [I]   Parameters: {"id"=>"1", "url"=>"http://yum.puppetlabs.com", "api_version"=>"v2", "organization"=>{}}
2018-04-09 13:20:42 3cedc6aa [foreman-tasks/dynflow] [D] ExecutionPlan 6281d0d5-0db8-4791-a14c-b1e5759521df      pending >>  planning
2018-04-09 13:20:42 3cedc6aa [foreman-tasks/dynflow] [D]          Step 6281d0d5-0db8-4791-a14c-b1e5759521df: 1   pending >>   running in phase     Plan Actions::Katello::Repository::Discover
2018-04-09 13:20:42 3cedc6aa [foreman-tasks/dynflow] [D]          Step 6281d0d5-0db8-4791-a14c-b1e5759521df: 1   running >>   success in phase     Plan Actions::Katello::Repository::Discover
2018-04-09 13:20:42 3cedc6aa [foreman-tasks/dynflow] [D] ExecutionPlan 6281d0d5-0db8-4791-a14c-b1e5759521df     planning >>   planned
2018-04-09 13:20:42 3cedc6aa [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.162/app/views/katello/api/v2/common/async.json.rabl within katello/api/v2/layouts/resource (16.7ms)
2018-04-09 13:20:42 3cedc6aa [app] [I] Completed 202 Accepted in 230ms (Views: 20.2ms | ActiveRecord: 57.6ms)
2018-04-09 13:20:42 2198266d [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:20:42 -0400
2018-04-09 13:20:42 2198266d [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:20:42 2198266d [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"ee299d9f-427c-4f08-88d4-7278fa97a841", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:20:42 2198266d [app] [I] Completed 200 OK in 19ms (Views: 0.7ms | ActiveRecord: 1.7ms)
2018-04-09 13:20:43  [foreman-tasks/dynflow] [D] ExecutionPlan 6281d0d5-0db8-4791-a14c-b1e5759521df      planned >>   running
2018-04-09 13:20:43  [foreman-tasks/dynflow] [D]          Step 6281d0d5-0db8-4791-a14c-b1e5759521df: 2   pending >>   running in phase      Run Actions::Katello::Repository::Discover

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:20:44 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 320 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:20:44 097db652 [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:20:44 -0400
2018-04-09 13:20:44 097db652 [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:20:44 097db652 [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"ee299d9f-427c-4f08-88d4-7278fa97a841", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:20:44 097db652 [app] [I] Completed 200 OK in 14ms (Views: 0.6ms | ActiveRecord: 1.5ms)
2018-04-09 13:20:45  [foreman-tasks/dynflow] [D]          Step 6281d0d5-0db8-4791-a14c-b1e5759521df: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:20:45  [foreman-tasks/dynflow] [D]          Step 6281d0d5-0db8-4791-a14c-b1e5759521df: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:20:45  [foreman-tasks/dynflow] [D]          Step 6281d0d5-0db8-4791-a14c-b1e5759521df: 2   running >>   success in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:20:45  [foreman-tasks/dynflow] [D] ExecutionPlan 6281d0d5-0db8-4791-a14c-b1e5759521df      running >>   stopped

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:20:45 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 325 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:20:45 a171364d [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:20:45 -0400
2018-04-09 13:20:45 a171364d [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:20:45 a171364d [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"ee299d9f-427c-4f08-88d4-7278fa97a841", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:20:45 a171364d [app] [I] Completed 200 OK in 17ms (Views: 0.7ms | ActiveRecord: 1.5ms)
---

// Task related to repo discovery
---
 Input:

---
url: http://yum.puppetlabs.com

Output:

---
repo_urls: []
crawled:
- "/"
to_follow: []
---



##################



// The same test now using Zabbix repo - Working as expected
// URL == http://repo.zabbix.com/
---
==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:25:49 -0400] "POST /katello/api/v2/organizations/1/repo_discover HTTP/1.1" 202 401 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:25:49 3b367b1c [app] [I] Started POST "/katello/api/v2/organizations/1/repo_discover" for 10.10.125.43 at 2018-04-09 13:25:49 -0400
2018-04-09 13:25:49 3b367b1c [app] [I] Processing by Katello::Api::V2::OrganizationsController#repo_discover as JSON
2018-04-09 13:25:49 3b367b1c [app] [I]   Parameters: {"id"=>"1", "url"=>"http://repo.zabbix.com/", "api_version"=>"v2", "organization"=>{}}
2018-04-09 13:25:49 3b367b1c [foreman-tasks/dynflow] [D] ExecutionPlan c22bcf5a-5af2-48d4-914a-6440b2343193      pending >>  planning
2018-04-09 13:25:49 3b367b1c [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 1   pending >>   running in phase     Plan Actions::Katello::Repository::Discover
2018-04-09 13:25:49 3b367b1c [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 1   running >>   success in phase     Plan Actions::Katello::Repository::Discover
2018-04-09 13:25:49 3b367b1c [foreman-tasks/dynflow] [D] ExecutionPlan c22bcf5a-5af2-48d4-914a-6440b2343193     planning >>   planned
2018-04-09 13:25:49 3b367b1c [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.162/app/views/katello/api/v2/common/async.json.rabl within katello/api/v2/layouts/resource (11.9ms)
2018-04-09 13:25:49 3b367b1c [app] [I] Completed 202 Accepted in 272ms (Views: 12.3ms | ActiveRecord: 27.5ms)

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:25:49 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 322 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:25:49  [foreman-tasks/dynflow] [D] ExecutionPlan c22bcf5a-5af2-48d4-914a-6440b2343193      planned >>   running
2018-04-09 13:25:49  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   pending >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:49 e328dd6a [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:25:49 -0400
2018-04-09 13:25:49 e328dd6a [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:25:49 e328dd6a [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:25:49 e328dd6a [app] [I] Completed 200 OK in 16ms (Views: 1.0ms | ActiveRecord: 1.3ms)
2018-04-09 13:25:50  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:50  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:50  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:50  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:50  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:50  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:50  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:50  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:25:51 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 322 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:25:50  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:50  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:51 d8a1a018 [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:25:51 -0400
2018-04-09 13:25:51 d8a1a018 [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:25:51 d8a1a018 [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:25:51 d8a1a018 [app] [I] Completed 200 OK in 19ms (Views: 1.3ms | ActiveRecord: 1.4ms)
2018-04-09 13:25:51  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:51  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:52  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:52  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:52  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:52  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:52  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:52  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:25:53 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 322 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:25:53 e602bb9e [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:25:53 -0400
2018-04-09 13:25:53 e602bb9e [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:25:53 e602bb9e [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:25:53 e602bb9e [app] [I] Completed 200 OK in 19ms (Views: 0.4ms | ActiveRecord: 1.4ms)
2018-04-09 13:25:53  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:53  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:53  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:53  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:54  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:54  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:54  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:54  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:54  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:54  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:54  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:54  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:25:54 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 322 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:25:54 1b66b910 [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:25:54 -0400
2018-04-09 13:25:54 1b66b910 [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:25:54 1b66b910 [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:25:54 1b66b910 [app] [I] Completed 200 OK in 20ms (Views: 1.1ms | ActiveRecord: 1.9ms)

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:25:56 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 322 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:25:55  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:55  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:56  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:56  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:56  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:56  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:56 dc3a3a82 [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:25:56 -0400
2018-04-09 13:25:56 dc3a3a82 [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:25:56 dc3a3a82 [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:25:56 dc3a3a82 [app] [I] Completed 200 OK in 18ms (Views: 0.4ms | ActiveRecord: 1.5ms)
2018-04-09 13:25:56  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:56  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:56  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:56  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:56  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:56  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:25:58 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 322 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:25:57  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:57  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:58 bb21abc8 [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:25:58 -0400
2018-04-09 13:25:58 bb21abc8 [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:25:58 bb21abc8 [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:25:58 bb21abc8 [app] [I] Completed 200 OK in 19ms (Views: 0.9ms | ActiveRecord: 1.6ms)
2018-04-09 13:25:58  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:58  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:58  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:58  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:58  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:58  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:58  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:58  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:25:59 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 322 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:25:58  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:58  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:59 0d547356 [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:25:59 -0400
2018-04-09 13:25:59 0d547356 [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:25:59 0d547356 [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:25:59 0d547356 [app] [I] Completed 200 OK in 16ms (Views: 0.4ms | ActiveRecord: 1.6ms)
2018-04-09 13:25:59  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:25:59  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:00  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:00  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:00  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:00  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:00  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:00  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:00  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover

==> /var/log/messages <==
Apr  9 13:26:01 wallsat6 systemd: Started Session 49449 of user root.
Apr  9 13:26:01 wallsat6 systemd: Starting Session 49449 of user root.

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:26:01 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 322 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:26:00  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:01 7d37c564 [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:26:01 -0400
2018-04-09 13:26:01 7d37c564 [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:26:01 7d37c564 [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:26:01 7d37c564 [app] [I] Completed 200 OK in 20ms (Views: 0.3ms | ActiveRecord: 9.3ms)
2018-04-09 13:26:01  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:01  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:02  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:02  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:02  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:02  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:02  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:02  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:02  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:02  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:26:03 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 322 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:26:03 812f7488 [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:26:03 -0400
2018-04-09 13:26:03 812f7488 [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:26:03 812f7488 [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:26:03 812f7488 [app] [I] Completed 200 OK in 16ms (Views: 0.4ms | ActiveRecord: 1.4ms)
2018-04-09 13:26:03  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:03  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:03  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:04  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:04  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:04  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:04  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:04  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:04  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:04  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:04 a1feabf5 [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:26:04 -0400
2018-04-09 13:26:04 a1feabf5 [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:26:04 a1feabf5 [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:26:04  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:26:04 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 322 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:26:04 a1feabf5 [app] [I] Completed 200 OK in 16ms (Views: 0.4ms | ActiveRecord: 1.4ms)
2018-04-09 13:26:04  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:26:06 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 322 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:26:05  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:05  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:06  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:06  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:06  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:06  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:06 a1f9627a [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:26:06 -0400
2018-04-09 13:26:06 a1f9627a [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:26:06 a1f9627a [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:26:06 a1f9627a [app] [I] Completed 200 OK in 16ms (Views: 0.5ms | ActiveRecord: 1.6ms)
2018-04-09 13:26:06  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:06  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:06  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:06  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:26:07 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 371 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:26:07  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:07  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:07 01982755 [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:26:07 -0400
2018-04-09 13:26:07 01982755 [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:26:07 01982755 [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:26:07  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:07 01982755 [app] [I] Completed 200 OK in 14ms (Views: 0.4ms | ActiveRecord: 1.4ms)
2018-04-09 13:26:08  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:08  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:08  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:08  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:08  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:08  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:08  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:26:09 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 415 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:26:08  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:08  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:09 c1eae933 [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:26:09 -0400
2018-04-09 13:26:09 c1eae933 [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:26:09 c1eae933 [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:26:09 c1eae933 [app] [I] Completed 200 OK in 14ms (Views: 0.4ms | ActiveRecord: 1.4ms)
2018-04-09 13:26:09  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:09  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:10  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:10  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:10  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:10  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:10  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:10  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:10  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:10  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:26:11 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 421 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:26:10  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:11 f26bdacf [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:26:11 -0400
2018-04-09 13:26:11 f26bdacf [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:26:11 f26bdacf [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:26:11 f26bdacf [app] [I] Completed 200 OK in 29ms (Views: 0.4ms | ActiveRecord: 1.4ms)

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:26:12 -0400] "POST /katello/api/v2/organizations/1/cancel_repo_discover HTTP/1.1" 202 1290 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:26:11  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:11  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:12  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:12  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:12  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:12 4ad8183a [app] [I] Started POST "/katello/api/v2/organizations/1/cancel_repo_discover" for 10.10.125.43 at 2018-04-09 13:26:12 -0400
2018-04-09 13:26:12 4ad8183a [app] [I] Processing by Katello::Api::V2::OrganizationsController#cancel_repo_discover as JSON
2018-04-09 13:26:12 4ad8183a [app] [I]   Parameters: {"id"=>"1", "api_version"=>"v2", "organization"=>{}}
2018-04-09 13:26:12 4ad8183a [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.162/app/views/katello/api/v2/common/async.json.rabl within katello/api/v2/layouts/resource (7.7ms)
2018-04-09 13:26:12 4ad8183a [app] [I] Completed 202 Accepted in 22ms (Views: 7.7ms | ActiveRecord: 2.4ms)
2018-04-09 13:26:12  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >> suspended in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:12  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 got event Dynflow::Action::Cancellable::Cancel
2018-04-09 13:26:12  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2 suspended >>   running in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:12  [foreman-tasks/dynflow] [D]          Step c22bcf5a-5af2-48d4-914a-6440b2343193: 2   running >>   success in phase      Run Actions::Katello::Repository::Discover
2018-04-09 13:26:12  [foreman-tasks/dynflow] [W] step c22bcf5a-5af2-48d4-914a-6440b2343193:2 dropping event Dynflow::Executors::Abstract::Event[execution_plan_id: c22bcf5a-5af2-48d4-914a-6440b2343193, step_id: 2, event: , result: <#Concurrent::Edge::CompletableFuture:0x7c664a0 pending>]
2018-04-09 13:26:12  [foreman-tasks/dynflow] [D] ExecutionPlan c22bcf5a-5af2-48d4-914a-6440b2343193      running >>   stopped

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.125.43 - - [09/Apr/2018:13:26:12 -0400] "POST /foreman_tasks/api/tasks/bulk_search HTTP/1.1" 200 329 "https://wallsat6.usersys.redhat.com/products/discovery/scan" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0"

==> /var/log/foreman/production.log <==
2018-04-09 13:26:12 54d038bf [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.10.125.43 at 2018-04-09 13:26:12 -0400
2018-04-09 13:26:12 54d038bf [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2018-04-09 13:26:12 54d038bf [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"f5068e33-e054-411f-be75-a81be892428e", "search_id"=>"1"}], "task"=>{}}
2018-04-09 13:26:12 54d038bf [app] [I] Completed 200 OK in 11ms (Views: 0.4ms | ActiveRecord: 1.2ms)
^C
---

// Task related to repo discovery
---
 Input:

---
url: http://repo.zabbix.com/

Output:

---
repo_urls: []
crawled:
- "/"
- "/non-supported/"
- "/zabbix/"
- "/non-supported/rhel/"
- "/zabbix/1.8/"
- "/zabbix/2.0/"
- "/zabbix/2.2/"
- "/zabbix/2.4/"
- "/zabbix/2.5/"
- "/zabbix/3.0/"
- "/zabbix/3.1/"
- "/zabbix/3.2/"
- "/zabbix/3.4/"
- "/zabbix/3.5/"
- "/non-supported/rhel/5/"
- "/non-supported/rhel/6/"
- "/non-supported/rhel/7/"
- "/zabbix/1.8/debian/"
- "/zabbix/1.8/rhel/"
- "/zabbix/1.8/ubuntu/"
- "/zabbix/2.0/debian/"
- "/zabbix/2.0/rhel/"
- "/zabbix/2.0/ubuntu/"
- "/zabbix/2.2/debian/"
- "/zabbix/2.2/rhel/"
- "/zabbix/2.2/ubuntu/"
- "/zabbix/2.4/debian/"
- "/zabbix/2.4/rhel/"
- "/zabbix/2.4/ubuntu/"
- "/zabbix/2.5/debian/"
- "/zabbix/2.5/rhel/"
- "/zabbix/2.5/ubuntu/"
- "/zabbix/3.0/debian/"
- "/zabbix/3.0/rhel/"
- "/zabbix/3.0/ubuntu/"
- "/zabbix/3.1/debian/"
- "/zabbix/3.1/rhel/"
- "/zabbix/3.1/ubuntu/"
- "/zabbix/3.2/debian/"
- "/zabbix/3.2/rhel/"
- "/zabbix/3.2/ubuntu/"
- "/zabbix/3.4/debian/"
- "/zabbix/3.4/rhel/"
- "/zabbix/3.4/ubuntu/"
- "/zabbix/3.5/debian/"
- "/zabbix/3.5/rhel/"
- "/zabbix/3.5/ubuntu/"
- "/non-supported/rhel/5/SRPMS/"
- "/non-supported/rhel/5/i386/"
- "/non-supported/rhel/5/x86_64/"
- "/non-supported/rhel/6/SRPMS/"
- "/non-supported/rhel/6/i386/"
- "/non-supported/rhel/6/x86_64/"
- "/non-supported/rhel/7/SRPMS/"
- "/non-supported/rhel/7/x86_64/"
- "/zabbix/1.8/debian/conf/"
- "/zabbix/1.8/debian/db/"
- "/zabbix/1.8/debian/dists/"
- "/zabbix/1.8/debian/pool/"
- "/zabbix/1.8/rhel/5/"
- "/zabbix/1.8/rhel/6/"
- "/zabbix/1.8/ubuntu/conf/"
- "/zabbix/1.8/ubuntu/db/"
to_follow:
- http://repo.zabbix.com/zabbix/1.8/ubuntu/dists/
- http://repo.zabbix.com/zabbix/1.8/ubuntu/pool/
- http://repo.zabbix.com/zabbix/2.0/debian/conf/
- http://repo.zabbix.com/zabbix/2.0/debian/db/
- http://repo.zabbix.com/zabbix/2.0/debian/dists/
- http://repo.zabbix.com/zabbix/2.0/debian/pool/
- http://repo.zabbix.com/zabbix/2.0/rhel/5/
- http://repo.zabbix.com/zabbix/2.0/rhel/6/
- http://repo.zabbix.com/zabbix/2.0/ubuntu/conf/
- http://repo.zabbix.com/zabbix/2.0/ubuntu/db/
- http://repo.zabbix.com/zabbix/2.0/ubuntu/dists/
- http://repo.zabbix.com/zabbix/2.0/ubuntu/pool/
- http://repo.zabbix.com/zabbix/2.2/debian/conf/
- http://repo.zabbix.com/zabbix/2.2/debian/db/
- http://repo.zabbix.com/zabbix/2.2/debian/dists/
- http://repo.zabbix.com/zabbix/2.2/debian/pool/
- http://repo.zabbix.com/zabbix/2.2/rhel/5/
- http://repo.zabbix.com/zabbix/2.2/rhel/6/
- http://repo.zabbix.com/zabbix/2.2/rhel/7/
- http://repo.zabbix.com/zabbix/2.2/ubuntu/conf/
- http://repo.zabbix.com/zabbix/2.2/ubuntu/db/
- http://repo.zabbix.com/zabbix/2.2/ubuntu/dists/
- http://repo.zabbix.com/zabbix/2.2/ubuntu/pool/
- http://repo.zabbix.com/zabbix/2.4/debian/conf/
- http://repo.zabbix.com/zabbix/2.4/debian/db/
- http://repo.zabbix.com/zabbix/2.4/debian/dists/
- http://repo.zabbix.com/zabbix/2.4/debian/pool/
- http://repo.zabbix.com/zabbix/2.4/rhel/5/
- http://repo.zabbix.com/zabbix/2.4/rhel/6/
- http://repo.zabbix.com/zabbix/2.4/rhel/7/
- http://repo.zabbix.com/zabbix/2.4/ubuntu/conf/
- http://repo.zabbix.com/zabbix/2.4/ubuntu/db/
- http://repo.zabbix.com/zabbix/2.4/ubuntu/dists/
- http://repo.zabbix.com/zabbix/2.4/ubuntu/pool/
- http://repo.zabbix.com/zabbix/2.5/debian/7/
- http://repo.zabbix.com/zabbix/2.5/debian/8/
- http://repo.zabbix.com/zabbix/2.5/rhel/7/
- http://repo.zabbix.com/zabbix/2.5/ubuntu/1404/
- http://repo.zabbix.com/zabbix/3.0/debian/conf/
- http://repo.zabbix.com/zabbix/3.0/debian/db/
- http://repo.zabbix.com/zabbix/3.0/debian/dists/
- http://repo.zabbix.com/zabbix/3.0/debian/pool/
- http://repo.zabbix.com/zabbix/3.0/rhel/5/
- http://repo.zabbix.com/zabbix/3.0/rhel/6/
- http://repo.zabbix.com/zabbix/3.0/rhel/7/
- http://repo.zabbix.com/zabbix/3.0/ubuntu/conf/
- http://repo.zabbix.com/zabbix/3.0/ubuntu/db/
- http://repo.zabbix.com/zabbix/3.0/ubuntu/dists/
- http://repo.zabbix.com/zabbix/3.0/ubuntu/pool/
- http://repo.zabbix.com/zabbix/3.1/debian/conf/
- http://repo.zabbix.com/zabbix/3.1/debian/db/
- http://repo.zabbix.com/zabbix/3.1/debian/dists/
- http://repo.zabbix.com/zabbix/3.1/debian/pool/
- http://repo.zabbix.com/zabbix/3.1/rhel/7/
- http://repo.zabbix.com/zabbix/3.1/ubuntu/conf/
- http://repo.zabbix.com/zabbix/3.1/ubuntu/db/
- http://repo.zabbix.com/zabbix/3.1/ubuntu/dists/
- http://repo.zabbix.com/zabbix/3.1/ubuntu/pool/
- http://repo.zabbix.com/zabbix/3.2/debian/conf/
- http://repo.zabbix.com/zabbix/3.2/debian/db/
- http://repo.zabbix.com/zabbix/3.2/debian/dists/
- http://repo.zabbix.com/zabbix/3.2/debian/pool/
- http://repo.zabbix.com/zabbix/3.2/rhel/5/
- http://repo.zabbix.com/zabbix/3.2/rhel/6/
- http://repo.zabbix.com/zabbix/3.2/rhel/7/
- http://repo.zabbix.com/zabbix/3.2/ubuntu/conf/
- http://repo.zabbix.com/zabbix/3.2/ubuntu/db/
- http://repo.zabbix.com/zabbix/3.2/ubuntu/dists/
- http://repo.zabbix.com/zabbix/3.2/ubuntu/pool/
- http://repo.zabbix.com/zabbix/3.4/debian/conf/
- http://repo.zabbix.com/zabbix/3.4/debian/db/
- http://repo.zabbix.com/zabbix/3.4/debian/dists/
- http://repo.zabbix.com/zabbix/3.4/debian/pool/
- http://repo.zabbix.com/zabbix/3.4/rhel/5/
- http://repo.zabbix.com/zabbix/3.4/rhel/6/
- http://repo.zabbix.com/zabbix/3.4/rhel/7/
- http://repo.zabbix.com/zabbix/3.4/ubuntu/conf/
- http://repo.zabbix.com/zabbix/3.4/ubuntu/db/
- http://repo.zabbix.com/zabbix/3.4/ubuntu/dists/
- http://repo.zabbix.com/zabbix/3.4/ubuntu/pool/
- http://repo.zabbix.com/zabbix/3.5/debian/conf/
- http://repo.zabbix.com/zabbix/3.5/debian/db/
- http://repo.zabbix.com/zabbix/3.5/debian/dists/
- http://repo.zabbix.com/zabbix/3.5/debian/pool/
- http://repo.zabbix.com/zabbix/3.5/rhel/5/
- http://repo.zabbix.com/zabbix/3.5/rhel/6/
- http://repo.zabbix.com/zabbix/3.5/rhel/7/
- http://repo.zabbix.com/zabbix/3.5/ubuntu/conf/
- http://repo.zabbix.com/zabbix/3.5/ubuntu/db/
- http://repo.zabbix.com/zabbix/3.5/ubuntu/dists/
- http://repo.zabbix.com/zabbix/3.5/ubuntu/pool/
- http://repo.zabbix.com/zabbix/1.8/debian/dists/squeeze/
- http://repo.zabbix.com/zabbix/1.8/debian/pool/main/
- http://repo.zabbix.com/zabbix/1.8/rhel/5/SRPMS/
- http://repo.zabbix.com/zabbix/1.8/rhel/5/i386/
- http://repo.zabbix.com/zabbix/1.8/rhel/5/x86_64/
- http://repo.zabbix.com/zabbix/1.8/rhel/6/SRPMS/
- http://repo.zabbix.com/zabbix/1.8/rhel/6/i386/
- http://repo.zabbix.com/zabbix/1.8/rhel/6/x86_64/
---


##################


To test the first link *Puppet repos*, I created a new Product and then one new repo using the link below *url below the first one that satellite is not discovering*
 - http://yum.puppetlabs.com/fedora/f27/PC1/x86_64/

After that the sync worked as expected and all packages available on that repo was downloaded, then we can say *one valid repo*.


Please let me know if you need something else to do the follow up.

Best Regards
-- 
Waldirio M Pinheiro | Senior Software Maintenance Engineer

Comment 3 Bryan Kearney 2019-11-04 14:34:19 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 4 Bryan Kearney 2019-12-03 12:54:00 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.


Note You need to log in before you can comment on or make changes to this bug.